Download it now!
Bug 65632 - FILEOPEN RTF Don't/slow open rtf files, when Record Changes is activated
Summary: FILEOPEN RTF Don't/slow open rtf files, when Record Changes is activated
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.2.0 target:4.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-11 07:17 UTC by Ákos
Modified: 2013-07-22 10:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
rtf file with activated record changes (135.55 KB, text/rtf)
2013-06-11 07:17 UTC, Ákos
Details
another problematic rtf file (137.60 KB, text/rtf)
2013-06-11 07:18 UTC, Ákos
Details
another problematic rtf file (127.39 KB, text/rtf)
2013-06-11 07:18 UTC, Ákos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ákos 2013-06-11 07:17:32 UTC
Created attachment 80652 [details]
rtf file with activated record changes

When I try to open the attached file, the file didn't open. The progress bar, show that LibreOffice load the file, and it opened after aprox 10 minutes. The documents contains only 1-5 pages.
I try it in Ubuntu, with LibreOffice 4.0.2.2, and in windows with LO 4.0.3.3 and 3.6.4.3 with the same results.
Comment 1 Ákos 2013-06-11 07:18:17 UTC
Created attachment 80653 [details]
another problematic rtf file
Comment 2 Ákos 2013-06-11 07:18:42 UTC
Created attachment 80654 [details]
another problematic rtf file
Comment 3 Miklos Vajna 2013-06-11 07:29:21 UTC
Confirmed. In a debug build, I see loads of:

warn:legacy.osl:23368:1:writerfilter/source/dmapper/DomainMapper_Impl.cxx:1527: Exception in makeRedline

When the redlined (redline == track changes) text has non-ascii characters.

I'll have a look at this.
Comment 4 Commit Notification 2013-07-17 16:03:04 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c0a1557406ffffbb8145f8035ce86d31e927667

Related: fdo#65632 DOCX filter: fix import of non-redlined footnote



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-07-17 16:25:54 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ed187fcbd457d01be6ac382d61b493039a5af7d5

Related: fdo#65632 DOCX import: make start/end of trackchange both be an sprm



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-07-18 09:13:24 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54518a209d0ffe00f8e391472da92e398c474392

fdo#65632 RTF import: send NS_ooxml::LN_trackchange only once for one range



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Miklos Vajna 2013-07-18 09:46:46 UTC
Fixed on master, -4-1 review: https://gerrit.libreoffice.org/4964
Comment 8 Commit Notification 2013-07-22 10:05:48 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe5e35009f23b025ac58fcb5abc892a90c6a264c&h=libreoffice-4-1

fdo#65632 RTF import: send NS_ooxml::LN_trackchange only once for one range


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.